跳转到主要内容
GET
https://api.aisa.one/apis/v1/financial
/
company
/
facts
获取公司事实数据
curl --request GET \
  --url https://api.aisa.one/apis/v1/financial/company/facts \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.aisa.one/apis/v1/financial/company/facts"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.aisa.one/apis/v1/financial/company/facts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "company_facts": {
    "ticker": "<string>",
    "name": "<string>",
    "cik": "<string>",
    "industry": "<string>",
    "sector": "<string>",
    "category": "<string>",
    "exchange": "<string>",
    "is_active": true,
    "listing_date": "2023-12-25",
    "location": "<string>",
    "market_cap": 123,
    "number_of_employees": 123,
    "sec_filings_url": "<string>",
    "sic_code": "<string>",
    "sic_industry": "<string>",
    "sic_sector": "<string>",
    "website_url": "<string>",
    "weighted_average_shares": 123
  }
}
{
"error": "Bad Request",
"message": "Invalid request parameters"
}
{
"error": "Unauthorized",
"message": "Invalid API key provided"
}
{
"error": "Not Found",
"message": "Ticker XXXX not found"
}

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

查询参数

ticker
string

股票代码。

cik
string

公司的 CIK。

响应

公司信息响应

company_facts
object